#hcaptcha-js|delete
.h-captcha|delete

head|append = from(/public/plugins/captcha/hcaptcha.html|head > *)

form#reset-form .btn-reset|before   = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)
form#login-form .btn-login|before   = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)
form.login-form .btn-login|before   = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)
form#signup-form .btn-signup|before = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)

form#comment-form .btn-submit|before  = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)
form#review-form .btn-submit|before   = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)
form#question-form .btn-submit|before = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)

[data-v-component-plugin-contact-form-form] .btn-primary|before = from(/public/plugins/captcha/hcaptcha.html|body > .hcaptcha-form > *)


//don't show the captcha if page is edited
#hcaptcha-js|hide    = $vvveb_is_page_edit
.h-captcha|hide    = $vvveb_is_page_edit

.h-captcha|data-sitekey =  <?php echo htmlspecialchars(Vvveb\getSetting('captcha', 'site_key', null) ?? '');?>
